var search_data = {"index":{"searchIndex":["complex","kernel","nilclass","numeric","quaternion","string","*()","**()","+()","-()","-@()","==()","quaternion()","__exact_zero__()","__format__()","__new__()","__reciprocal__()","abs()","abs2()","angle()","arg()","axis()","coerce()","complex?()","complex?()","conj()","conjugate()","denominator()","eql?()","finite?()","hash()","hrect()","hrect()","hyperrectangular()","hyperrectangular()","imag()","imaginary()","infinite?()","inspect()","j()","k()","magnitude()","new()","numerator()","parse()","phase()","polar()","polar()","real()","real?()","rect()","rect()","rectangular()","rectangular()","scalar()","to_c()","to_q()","to_q()","to_q()","to_q()","to_s()","vector()"],"longSearchIndex":["complex","kernel","nilclass","numeric","quaternion","string","quaternion#*()","quaternion#**()","quaternion#+()","quaternion#-()","quaternion#-@()","quaternion#==()","kernel#quaternion()","quaternion#__exact_zero__()","quaternion#__format__()","quaternion#__new__()","quaternion#__reciprocal__()","quaternion#abs()","quaternion#abs2()","quaternion#angle()","quaternion#arg()","quaternion#axis()","quaternion#coerce()","numeric#complex?()","quaternion#complex?()","quaternion#conj()","quaternion#conjugate()","quaternion#denominator()","quaternion#eql?()","quaternion#finite?()","quaternion#hash()","quaternion::hrect()","quaternion#hrect()","quaternion::hyperrectangular()","quaternion#hyperrectangular()","quaternion#imag()","quaternion#imaginary()","quaternion#infinite?()","quaternion#inspect()","numeric#j()","numeric#k()","quaternion#magnitude()","quaternion::new()","quaternion#numerator()","quaternion::parse()","quaternion#phase()","quaternion::polar()","quaternion#polar()","quaternion#real()","quaternion#real?()","quaternion::rect()","quaternion#rect()","quaternion::rectangular()","quaternion#rectangular()","quaternion#scalar()","quaternion#to_c()","nilclass#to_q()","numeric#to_q()","quaternion#to_q()","string#to_q()","quaternion#to_s()","quaternion#vector()"],"info":[["Complex","","Complex.html","","<p>@!parse class Complex &lt; Numeric; end\n"],["Kernel","","Kernel.html","",""],["NilClass","","NilClass.html","",""],["Numeric","","Numeric.html","",""],["Quaternion","","Quaternion.html","","<p>This class <code>Quaternion</code> is an analogue of <code>Complex</code>.\n<p>A subclass of <code>Numeric</code>\n<p>Immutable instances\n"],["String","","String.html","",""],["*","Quaternion","Quaternion.html#method-i-2A","(other)","<p>Performs multiplication.\n<p>@param other [Numeric] @return [Quaternion]\n"],["**","Quaternion","Quaternion.html#method-i-2A-2A","(index)","<p>Performs exponentiation.\n<p>@param index [Numeric] @return [Quaternion]\n<p>@example\n"],["+","Quaternion","Quaternion.html#method-i-2B","(other)","<p>Performs addition.\n<p>@param other [Numeric] @return [Quaternion]\n"],["-","Quaternion","Quaternion.html#method-i-2D","(other)","<p>Performs subtraction.\n<p>@param other [Numeric] @return [Quaternion]\n"],["-@","Quaternion","Quaternion.html#method-i-2D-40","()","<p>Returns negation of the value.\n<p>@return [Quaternion]\n<p>@example\n"],["==","Quaternion","Quaternion.html#method-i-3D-3D","(other)","<p>Returns true if it equals to the other numerically.\n<p>@param other [Object] @return [Boolean]\n"],["Quaternion","Kernel","Kernel.html#method-i-Quaternion","(*args)","<p>Returns a quaternion.\n<p>This function accepts various arguments except polar form. Strings are parsed to …\n"],["__exact_zero__","Quaternion","Quaternion.html#method-i-__exact_zero__","(x)",""],["__format__","Quaternion","Quaternion.html#method-i-__format__","(sym)",""],["__new__","Quaternion","Quaternion.html#method-i-__new__","(a, b)",""],["__reciprocal__","Quaternion","Quaternion.html#method-i-__reciprocal__","()",""],["abs","Quaternion","Quaternion.html#method-i-abs","()","<p>Returns the absolute part of its polar form.\n<p>@return [Real]\n<p>@example\n"],["abs2","Quaternion","Quaternion.html#method-i-abs2","()","<p>Returns square of the absolute value.\n<p>@return [Real]\n<p>@example\n"],["angle","Quaternion","Quaternion.html#method-i-angle","()",""],["arg","Quaternion","Quaternion.html#method-i-arg","()","<p>Returns the angle part of its polar form.\n<p>@return [Real]\n<p>@example\n"],["axis","Quaternion","Quaternion.html#method-i-axis","()","<p>Returns the axis part of its polar form.\n<p>@return [Vector] normalized 3-D vector\n<p>@example\n"],["coerce","Quaternion","Quaternion.html#method-i-coerce","(other)","<p>Performs type conversion.\n<p>@param other [Numeric] @return [[Quaternion, self]] @raise [TypeError]\n"],["complex?","Numeric","Numeric.html#method-i-complex-3F","()","<p>Returns true.\n"],["complex?","Quaternion","Quaternion.html#method-i-complex-3F","()","<p>Returns false.\n"],["conj","Quaternion","Quaternion.html#method-i-conj","()","<p>Returns its conjugate.\n<p>@return [Quaternion]\n<p>@example\n"],["conjugate","Quaternion","Quaternion.html#method-i-conjugate","()",""],["denominator","Quaternion","Quaternion.html#method-i-denominator","()","<p>Returns the denominator (lcm of all components&#39; denominators). @see numerator\n<p>@return [Integer]\n"],["eql?","Quaternion","Quaternion.html#method-i-eql-3F","(other)","<p>Returns true if two quaternions have same reals.\n<p>@param other [Object] @return [Boolean]\n"],["finite?","Quaternion","Quaternion.html#method-i-finite-3F","()","<p>Returns true if its magnitude is finite, oterwise returns false.\n<p>@return [Boolean]\n"],["hash","Quaternion","Quaternion.html#method-i-hash","()","<p>Returns a hash.\n<p>@return [Integer]\n"],["hrect","Quaternion","Quaternion.html#method-c-hrect","(w, x = 0, y = 0, z = 0)","<p>Returns a quaternion object w+xi+yj+zk, where all of w, x, y, and z are real.\n<p>@param w [Real] @param x …\n"],["hrect","Quaternion","Quaternion.html#method-i-hrect","()","<p>Returns an array of four real numbers.\n<p>@return [[Real, Real, Real, Real]]\n<p>@example\n"],["hyperrectangular","Quaternion","Quaternion.html#method-c-hyperrectangular","(w, x = 0, y = 0, z = 0)",""],["hyperrectangular","Quaternion","Quaternion.html#method-i-hyperrectangular","()",""],["imag","Quaternion","Quaternion.html#method-i-imag","()","<p>Returns the imaginary part as a 3-D vector.\n<p>@return [Vector] 3-D vector\n<p>@example\n"],["imaginary","Quaternion","Quaternion.html#method-i-imaginary","()",""],["infinite?","Quaternion","Quaternion.html#method-i-infinite-3F","()","<p>Returns values corresponding to the value of its magnitude.\n<p>@return [nil] if finite. @return [+1]  if …\n"],["inspect","Quaternion","Quaternion.html#method-i-inspect","()","<p>Returns the value as a string for inspection.\n<p>@return [String]\n<p>@example\n"],["j","Numeric","Numeric.html#method-i-j","()","<p>Returns the corresponding imaginary number. Not available for quaternions.\n<p>@return [Quaternion] +self …\n"],["k","Numeric","Numeric.html#method-i-k","()","<p>Returns the corresponding imaginary number. Not available for complex numbers.\n<p>@return [Quaternion] +self …\n"],["magnitude","Quaternion","Quaternion.html#method-i-magnitude","()",""],["new","Quaternion","Quaternion.html#method-c-new","(a, b)","<p>@!visibility private\n"],["numerator","Quaternion","Quaternion.html#method-i-numerator","()","<p>Returns the numerator.\n\n<pre>1   1    1    3     4-6i-12j+9k &lt;- numerator\n- - -i - -j + -k -&gt; -----------\n3 ...</pre>\n"],["parse","Quaternion","Quaternion.html#method-c-parse","(str, strict = false)",""],["phase","Quaternion","Quaternion.html#method-i-phase","()",""],["polar","Quaternion","Quaternion.html#method-c-polar","(r, theta = 0, vector = Vector[1, 0, 0])","<p>Returns a quaternion object which denotes the given polar form. The actual angle is recognized as +theta …\n"],["polar","Quaternion","Quaternion.html#method-i-polar","()","<p>Returns an array; +[q.abs, q.arg, q.axis]+.\n<p>@return [[Real, Real, Vector]]\n<p>@example\n"],["real","Quaternion","Quaternion.html#method-i-real","()","<p>Returns the real part.\n<p>@return [Real]\n<p>@example\n"],["real?","Quaternion","Quaternion.html#method-i-real-3F","()","<p>Returns false.\n"],["rect","Quaternion","Quaternion.html#method-c-rect","(a, b = 0)","<p>Returns a quaternion object a+bj, where both a and b are complex (or real).\n<p>@param a [Complex] @param …\n"],["rect","Quaternion","Quaternion.html#method-i-rect","()","<p>Returns an array of two complex numbers.\n<p>@return [[Complex, Complex]]\n<p>@example\n"],["rectangular","Quaternion","Quaternion.html#method-c-rectangular","(a, b = 0)",""],["rectangular","Quaternion","Quaternion.html#method-i-rectangular","()",""],["scalar","Quaternion","Quaternion.html#method-i-scalar","()",""],["to_c","Quaternion","Quaternion.html#method-i-to_c","()","<p>Returns the value as a complex if possible (the discarded part should be exactly zero).\n<p>@return [Complex] …\n"],["to_q","NilClass","NilClass.html#method-i-to_q","()","<p>Returns zero as a quaternion.\n<p>@return [Quaternion]\n"],["to_q","Numeric","Numeric.html#method-i-to_q","()","<p>Returns the value as a quaternion.\n<p>@return [Quaternion]\n"],["to_q","Quaternion","Quaternion.html#method-i-to_q","()","<p>Returns self.\n<p>@return [self]\n"],["to_q","String","String.html#method-i-to_q","()","<p>Returns a quaternion which denotes the string form. The parser ignores leading whitespaces and trailing …\n"],["to_s","Quaternion","Quaternion.html#method-i-to_s","()","<p>Returns the value as a string.\n<p>@return [String]\n<p>@example\n"],["vector","Quaternion","Quaternion.html#method-i-vector","()",""]]}}